import math
import time
from functools import wraps


def get_number_of_pages(total_count, page_size=100):
    number_pages = abs((total_count - 1) / page_size)
    return math.floor(number_pages) + 1


def renew_jwt(method):
    @wraps(method)
    def _impl(self, *args, **kwargs):
        valid_jwt = (time.time() - getattr(self, "last_refresh_time")) / 60 < 14
        if not valid_jwt and self.refresh:
            self.refresh_jwt_token()
        method_output = method(self, *args, **kwargs)
        return method_output

    return _impl
